VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::PackageInfo Class Reference

The `PackageInfo` class contains the privilege information of a package element. More...

List of all members.

## Public Member Functions
| PackageInfo ()
| Creates a default new instance.
global::System.Collections.Generic.List < string > | GetPrivileges ()
| List of default privileges to be used for all the operations present in this package.
void | SetPrivileges (global::System.Collections.Generic.List< string > privileges)
| List of default privileges to be used for all the operations present in this package.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.privilege.ServiceInfo > | GetServices ()
| Information about all service elements contained in this package element that contain privilege information.
void | SetServices (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.ServiceInfo > services)
| Information about all service elements contained in this package element that contain privilege information.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `PackageInfo` class contains the privilege information of a package element.

For an explanation of privilege information contained within package elements, see Package .

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::PackageInfo::PackageInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::privilege::PackageInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::privilege::PackageInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::privilege::PackageInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::privilege::PackageInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::privilege::PackageInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::privilege::PackageInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::privilege::PackageInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::PackageInfo::GetPrivileges | ( |  | ) | `[inline]`

List of default privileges to be used for all the operations present in this package.

If a particular operation element has no explicit privileges defined in the privilege definition file, these privileges are used for enforcing authorization.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.privilege.ServiceInfo> vmware::vapi::metadata::privilege::PackageInfo::GetServices | ( |  | ) | `[inline]`

Information about all service elements contained in this package element that contain privilege information.

The key in the map is the identifier of the service element and the value in the map is the privilege information for the service element. For an explanation of privilege information containment within service elements, see Service . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.service` .

void vmware::vapi::metadata::privilege::PackageInfo::SetPrivileges | ( | global::System.Collections.Generic.List< string > | privileges | ) | `[inline]`

List of default privileges to be used for all the operations present in this package.

If a particular operation element has no explicit privileges defined in the privilege definition file, these privileges are used for enforcing authorization.

void vmware::vapi::metadata::privilege::PackageInfo::SetServices | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.ServiceInfo > | services | ) | `[inline]`

Information about all service elements contained in this package element that contain privilege information.

The key in the map is the identifier of the service element and the value in the map is the privilege information for the service element. For an explanation of privilege information containment within service elements, see Service . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.service` .

override string vmware::vapi::metadata::privilege::PackageInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- privilege/PackageInfo.cs